## lambdamoo 1.8.1-1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Copyright (c) 1992, 1995, 1996 Xerox Corporation.  All rights reserved.
# Portions of this code were written by Stephen White, aka ghond.
# Use and copying of this software and preparation of derivative works based
# upon this software are permitted.  Any distribution of this software or
# derivative works must comply with all applicable United States export
# control laws.  This software is made available AS IS, and Xerox Corporation
# makes no warranty about the software, its performance or its conformity to
# any specification.  Any person obtaining a copy of this software is requested
# to send their name and post office or electronic mail address to:
#   Pavel Curtis
#   Xerox PARC
#   3333 Coyote Hill Rd.
#   Palo Alto, CA 94304
#   Pavel@Xerox.Com

CC = gcc -Wall -Wwrite-strings 
LIBRARIES =  -lm -lcrypt
YACC = bison -y

#CFLAGS = -O
# If you're using GCC, you may prefer:
CFLAGS = -O2 -finline-functions
#
# If you're not using GCC, and your compiler doesn't understand the
# inline keyword, use the following.  (This will be fixed in autoconf2
# upgrade).
# CFLAGS = -O2 -Dinline=

YFLAGS = -d
COMPILE.c = $(CC) $(CFLAGS) $(CPPFLAGS) -c

CSRCS = ast.c code_gen.c db_file.c db_io.c db_objects.c db_properties.c \
	db_verbs.c decompile.c disassemble.c eval_env.c eval_vm.c \
	exceptions.c execute.c extensions.c functions.c keywords.c list.c \
	log.c malloc.c match.c md5.c name_lookup.c network.c net_mplex.c \
	net_proto.c numbers.c objects.c parse_cmd.c pattern.c program.c \
	property.c quota.c ref_count.c regexpr.c server.c storage.c streams.c str_intern.c \
	sym_table.c tasks.c timers.c unparse.c utils.c verbs.c version.c

OPT_NET_SRCS = net_single.c net_multi.c \
	net_mp_selct.c net_mp_poll.c net_mp_fake.c \
	net_bsd_tcp.c net_bsd_lcl.c net_sysv_tcp.c net_sysv_lcl.c

OPT_NET_OBJS = $(OPT_NET_SRCS:.c=.o)

OPT_CSRCS = gnu-malloc.c $(OPT_NET_SRCS)

YSRCS = parser.y

HDRS =  ast.h bf_register.h code_gen.h db.h db_io.h db_private.h decompile.h \
	disassemble.h eval_env.h eval_vm.h exceptions.h execute.h functions.h \
	getpagesize.h keywords.h list.h log.h match.h md5.h name_lookup.h \
	network.h net_mplex.h net_multi.h net_proto.h numbers.h opcode.h \
	options.h parse_cmd.h parser.h pattern.h program.h quota.h random.h \
	ref_count.h regexpr.h server.h storage.h streams.h structures.h  str_intern.h \
	sym_table.h tasks.h timers.h tokens.h unparse.h utils.h verbs.h \
	version.h

SYSHDRS = my-ctype.h my-fcntl.h my-in.h my-inet.h my-ioctl.h my-math.h \
	my-poll.h my-signal.h my-socket.h my-stat.h my-stdarg.h my-stdio.h \
	my-stdlib.h my-string.h my-stropts.h my-sys-time.h my-time.h \
	my-tiuser.h my-types.h my-unistd.h my-wait.h

CLIENT_SRCS = client_bsd.c client_sysv.c

ALL_CSRCS = $(CSRCS) $(OPT_CSRCS) $(CLIENT_SRCS)

SRCS = $(ALL_CSRCS) keywords.gperf $(YSRCS) $(HDRS) $(SYSHDRS)

DISTFILES = $(SRCS) Makefile.in restart restart.sh \
	Minimal.db README.Minimal \
	ChangeLog.txt README configure.in configure config.h.in \
	MOOCodeSequences.txt AddingNewMOOTypes.txt pgperf aclocal.m4

COBJS = $(CSRCS:.c=.o)

YOBJS = $(YSRCS:.y=.o)

OBJS = $(COBJS) $(YOBJS)

moo:	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LIBRARIES) -o $@

pure_moo: moo
	purify $(CC) $(CFLAGS) $(OBJS) $(LIBRARIES) -o $@

client_bsd: client_bsd.o
	$(CC) $(CFLAGS) client_bsd.o $(LIBRARIES) -o $@

client_sysv: client_sysv.o
	$(CC) $(CFLAGS) client_sysv.o $(LIBRARIES) -o $@

# This rule gets around some "make"s' desire to `derive' it from `restart.sh'.
restart:
	touch restart

configure: configure.in
	# autoconf
	@echo "Not running autoconf; you must do this by hand."
	touch configure

config.status: configure
	env CC= YACC= ./configure --no-create

Makefile: Makefile.in config.status
	@echo "[ $@ : $? ]"
	./config.status

config.h: config.h.in config.status
	@echo "[ $@ : $? ]"
	./config.status

y.tab.h: parser.o
	touch y.tab.h

keywords.c: keywords.gperf
	pgperf -aCIptT -k1,3,$$ keywords.gperf \
		| sed -e 's/#include <ctype.h>/#include "my-ctype.h"/' \
		> keywords.c

dist.tar.Z:	$(DISTFILES)
	rm -f version_number
	grep "server_version = " version.c \
		| sed -e 's/^.* = "//' -e 's/";//' > version_number
	rm -fr MOO-`cat version_number`
	mkdir MOO-`cat version_number`
	chmod 755 MOO-`cat version_number`
	cp -pr $(DISTFILES) MOO-`cat version_number`
	chmod u+w MOO-`cat version_number`/*
	tar cvf - MOO-`cat version_number` | compress -c > dist.tar.Z.NEW
	mv dist.tar.Z.NEW dist.tar.Z
	rm -f LambdaMOO-`cat version_number`.tar.Z
	ln dist.tar.Z LambdaMOO-`cat version_number`.tar.Z
	rm -fr MOO-`cat version_number` version_number

tags:
	etags -t $(SRCS)

clean:
	rm -f $(OBJS) core y.tab.c y.tab.h y.output makedep eddep 

distclean:	clean
	rm -f config.h Makefile config.status

depend: ${ALL_CSRCS}
	rm -f eddep makedep
	gcc -MM ${CFLAGS} ${ALL_CSRCS} | sed -e '/:$$/d' > makedep
	echo '/^# DO NOT DELETE THIS LINE/+1,$$d' >eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp Makefile.in Makefile.in.bak
	ed - Makefile.in < eddep
	rm -f eddep makedep

###############################################################################
# $Log: Makefile.in,v $
# Revision 1.7  2000/01/11 01:54:05  nop
# CFLAGS line for poor users without inline keyword.
#
# Revision 1.6  2000/01/11 01:39:14  nop
# Long overdue make depend
#
# Revision 1.5  1998/02/19 07:36:16  nop
# Initial string interning during db load.
#
# Revision 1.4  1997/03/03 06:36:23  nop
# clean target doesn't force reconfiguration; distclean now does.
#
# Revision 1.3  1997/03/03 05:55:14  nop
# Changed to ed for make depend, since ex is a cheap plastic imitation of ed
# on many Linux systems.  Added better optimization suggestion.
#
# Revision 1.2  1997/03/03 04:40:46  nop
# Avoid running autoconf automatically
#
# Revision 1.1.1.1  1997/03/03 03:45:05  nop
# LambdaMOO 1.8.0p5
#
# Revision 2.10  1996/04/19  01:28:40  pavel
# Ran a new `make depend'.  Release 1.8.0p4.
#
# Revision 2.9  1996/03/10  01:31:24  pavel
# Added pgperf directory and aclocal.m4 file to the distribution.
# Release 1.8.0.
#
# Revision 2.8  1996/02/18  23:18:02  pavel
# Added md5.[ch].  Release 1.8.0beta3.
#
# Revision 2.7  1996/02/08  07:26:19  pavel
# Updated copyright notice for 1996.  Release 1.8.0beta1 (again).
#
# Revision 2.6  1996/02/08  05:46:27  pavel
# Added numbers.h, AddingNewMOOTypes.txt.  Updated dependencies.  Made pure_moo
# depend on moo.  Release 1.8.0beta1.
#
# Revision 2.5  1996/01/16  07:35:55  pavel
# Fixed dependencies.  Release 1.8.0alpha6.
#
# Revision 2.4  1996/01/11  07:58:54  pavel
# Fixed dependencies for parser.o.  Release 1.8.0alpha5.
#
# Revision 2.3  1995/12/31  03:29:29  pavel
# Fixed dependencies for parser.y and the networking modules.
# Release 1.8.0alpha4.
#
# Revision 2.2  1995/12/28  00:32:32  pavel
# Added verbs.h.  Release 1.8.0alpha3.
#
# Revision 2.1  1995/12/11  08:07:47  pavel
# Added a few more derived files to `make clean'.  Release 1.8.0alpha2.
#
# Revision 2.0  1995/11/30  05:45:03  pavel
# New baseline version, corresponding to release 1.8.0alpha1.
#
# Revision 1.26  1992/10/23  23:10:29  pavel
# Updated dependency information for release 1.7.0 and added copyright notice.
#
# Revision 1.25  1992/10/23  19:12:08  pavel
# A few last portability changes for release 1.7.0.
#
# Revision 1.24  1992/10/21  03:02:35  pavel
# Converted to use new automatic configuration system.
#
# Revision 1.23  1992/10/17  20:14:17  pavel
# Numerous changes in response to beta-testing portability problems.
#
# Revision 1.22  1992/10/06  01:32:41  pavel
# Dyked out useless XNS network support.
# Added sources for clients and a few new my-*.h files.
# Fixed nasty bug in `make depend' code.
#
# Revision 1.21  1992/09/23  17:23:08  pavel
# Added support for the whole family of networking protocol and multiplexing
# wait implementations; it should now be easy to add new `optional' sources,
# only used if certain combinations of preprocessor flags are set.
#
# Revision 1.20  1992/09/14  18:42:47  pjames
# Updated.
#
# Revision 1.19  1992/09/14  17:46:39  pjames
# Updated.
#
# Revision 1.18  1992/09/08  22:49:59  pjames
# Took out bf_move.c
#
# Revision 1.17  1992/09/08  22:09:23  pjames
# Updated for new bf_ filenames
#
# Revision 1.16  1992/09/03  23:49:13  pavel
# Added support for multiple complete network implementations.
#
# Revision 1.15  1992/09/03  16:32:40  pjames
# Updated.
#
# Revision 1.14  1992/08/31  23:43:57  pavel
# Added math library to the LIBRARIES line for A/UX.
#
# Revision 1.13  1992/08/28  16:32:18  pjames
# Added ref_count modules.
#
# Revision 1.12  1992/08/21  01:09:56  pavel
# Minor fix.
#
# Revision 1.11  1992/08/21  00:56:39  pavel
# Shortened the names of several files to fit within the 14-character limit
# imposed on certain systems.
# Moved the specification of all configuration options other than those
# directly related to the compiler command line into config.h.  Also
# reorganized the ones that are left to make it easier for folks to see what's
# necessary.
#
# Revision 1.10  1992/08/14  00:35:21  pavel
# Fixed rule for dist.tar.Z to be idempotent.
#
# Revision 1.9  1992/08/13  23:35:42  pavel
# Cleaned up CFLAGS organization.
#
# Revision 1.8  1992/08/13  23:24:34  pavel
# Did a more recent `make depend'...
#
# Revision 1.7  1992/08/13  22:48:20  pjames
# Added my-math.h
#
# Revision 1.6  1992/08/13  21:29:58  pjames
# Added -DMOO to COMPILE.c
#
# Revision 1.5  1992/08/11  17:06:45  pjames
# Updated with new source files, removed old source files, fixed dependencies.
#
# Revision 1.3  1992/07/27  18:30:21  pjames
# Update what vector.o and vector.po depend on.
###############################################################################
	
# Have to do this one manually, since 'make depend' can't hack yacc files.
parser.o:	my-ctype.h my-math.h my-stdlib.h my-string.h \
		ast.h code_gen.h config.h functions.h \
		keywords.h list.h log.h numbers.h opcode.h parser.h program.h \
		storage.h streams.h structures.h sym_table.h utils.h version.h

# Must do these specially, since they depend upon C preprocessor options.
network.o: 	net_single.o net_multi.o
net_proto.o:	net_bsd_tcp.o net_bsd_lcl.o net_sysv_tcp.o net_sysv_lcl.o
net_mplex.o:	net_mp_selct.o net_mp_poll.o net_mp_fake.o

$(OPT_NET_OBJS):
	touch $@

# DO NOT DELETE THIS LINE -- 'make depend' replaces everything below it.
ast.o: ast.c my-string.h config.h ast.h parser.h program.h \
 structures.h my-stdio.h version.h sym_table.h list.h log.h storage.h \
 ref_count.h utils.h execute.h db.h opcode.h options.h parse_cmd.h
code_gen.o: code_gen.c ast.h config.h parser.h program.h structures.h \
 my-stdio.h version.h sym_table.h exceptions.h opcode.h options.h \
 storage.h ref_count.h str_intern.h utils.h execute.h db.h parse_cmd.h \
 my-stdlib.h
db_file.o: db_file.c my-stat.h config.h my-stdio.h my-stdlib.h db.h \
 program.h structures.h version.h db_io.h db_private.h exceptions.h \
 list.h log.h options.h server.h network.h storage.h ref_count.h \
 streams.h str_intern.h tasks.h execute.h opcode.h parse_cmd.h \
 timers.h my-time.h
db_io.o: db_io.c my-ctype.h config.h my-stdarg.h my-stdio.h \
 my-stdlib.h db_io.h program.h structures.h version.h db_private.h \
 exceptions.h list.h log.h numbers.h parser.h storage.h ref_count.h \
 streams.h str_intern.h unparse.h
db_objects.o: db_objects.c config.h db.h program.h structures.h \
 my-stdio.h version.h db_private.h exceptions.h list.h storage.h \
 ref_count.h utils.h execute.h opcode.h options.h parse_cmd.h
db_properties.o: db_properties.c config.h db.h program.h structures.h \
 my-stdio.h version.h db_private.h exceptions.h list.h storage.h \
 ref_count.h utils.h execute.h opcode.h options.h parse_cmd.h
db_verbs.o: db_verbs.c my-stdlib.h config.h my-string.h db.h program.h \
 structures.h my-stdio.h version.h db_private.h exceptions.h db_tune.h \
 list.h log.h parse_cmd.h storage.h ref_count.h utils.h execute.h \
 opcode.h options.h
decompile.o: decompile.c ast.h config.h parser.h program.h \

=== debian/changelog ===
lambdamoo (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Made initscript and cron.weekly #!/bin/sh scripts again, using the
    POSIX compliant "." replacement for "source".
  * Made /etc/moos.conf the effective config file.
  * Now supports multiple moos in the config file.

 -- Jonathan Walther <krooger@debian.org>  Thu, 13 Jan 2000 23:31:23 -0800

lambdamoo (1.8.0r6-4) unstable; urgency=low

  * Changed #!/bin/sh to #!/bin/bash in initscript and cron.weekly so use of "source" is not a bug.

 -- Jonathan Walther <krooger@debian.org>  Sat, 20 Nov 1999 17:20:56 -0800

lambdamoo (1.8.0r6-3) unstable; urgency=low

  * Fixed bug 40147, wrong address in documentation for moo-cows mailing list.

 -- Jonathan Walther <krooger@debian.org>  Sat, 26 Jun 1999 18:26:02 -0700

lambdamoo (1.8.0r6-2) unstable; urgency=low

  * Fixed a few typos

 -- Jonathan Walther <krooger@debian.org>  Sat, 24 Apr 1999 23:09:50 -0700

lambdamoo (1.8.0r6-1) unstable; urgency=low

  * Newest version of the Rogue server.
  * Accepting new maintainership from Joey Hess

 -- Jonathan Walther <krooger@debian.org>  Thu, 15 Apr 1999 22:20:36 -0700

lambdamoo (1.8.0r5-9) frozen unstable; urgency=low

  * Provide full path to start-stop-daemon since user deamon does not have
    it in its path. This bug prevents lambdamoo from starting and the fix
    is trivial so I'd like to get it into frozen.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  5 Jan 1999 14:03:38 -0800

lambdamoo (1.8.0r5-8) frozen unstable; urgency=medium

  * In init script, redirect stdin, out, and err to /dev/null. Should fix
    critical bug #23314.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 13 Jun 1998 16:11:50 -0700

lambdamoo (1.8.0r5-7) unstable; urgency=low

  * Fixed lintian errors.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 12 Mar 1998 22:05:15 -0800

lambdamoo (1.8.0r5-6) unstable; urgency=low

  * Added a \n after "TIMEOUT!" message in init script.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 11 Feb 1998 10:26:23 -0800

lambdamoo (1.8.0r5-5) unstable; urgency=low

  * Added a man page for lambdamoo.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 16:56:32 -0800

lambdamoo (1.8.0r5-4) unstable; urgency=low

  * Added force-reload to init script.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Feb 1998 12:54:29 -0800

lambdamoo (1.8.0r5-3) unstable; urgency=low

  * Modified init script to cd / before running lambdamoo, since lambdamoo
    itself doesn't do it.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 28 Jan 1998 19:47:41 -0800

lambdamoo (1.8.0r5-2) unstable; urgency=low

  * Modified init script to pass --name to start-stop-daemon.
  * Added md5sums file back in.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 18 Nov 1997 20:20:19 -0500

lambdamoo (1.8.0r5-1) unstable; urgency=low

  * New upstream release (see README.r5 for details).

 -- Joey Hess <joeyh@master.debian.org>  Wed,  1 Oct 1997 22:36:52 -0400

lambdamoo (1.8.0p6-8) unstable; urgency=high

  * Fix permissions of core database files in /var/lib/lambdamoo/ so they
    cannot be read by others. (Before, it was possible to get wizard on the
    moo by loading up a core file in emergency mode.)
  * Added man page for lambdamoo (#13512).
  * Use debhelper.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 30 Sep 1997 18:31:09 -0400

lambdamoo (1.8.0p6-7) unstable; urgency=low

  * Clarified package description (#13173).
  * Replaced debstd generated server start and stop scripts with
    hand-written scripts that only stop it if it is actually running.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 19 Sep 1997 12:20:29 -0400

lambdamoo (1.8.0p6-6) unstable; urgency=low

  * Fixed #12580, unchecked prompting in postinst.
  * Use lambdamoo-core, lambdamoo-server virtual packages.
  * Changed how lambdamoo determines which database to use: lambdamoo-core
    packages now will use update-alternatives to provide 
    /var/lib/lambdamoo/moo.db . Added README.debian explaining this.
  * Init script uses a proper pid file now - much safer than before.
  * Use -l in init script to make lambdamoo output to log file.
  * Run lambdamoo as user daemon.
  * Routine update of debian/rules:
    Added build to .PHONY

 -- Joey Hess <joeyh@master.debian.org>  Thu, 18 Sep 1997 13:16:28 -0400

lambdamoo (1.8.0p6-5) unstable; urgency=low

  * Rebuilt with glibc6.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Jun 1997 16:59:11 -0400

lambdamoo (1.8.0p6-4) unstable; urgency=medium

  * Fixed call to start-stop-daemon.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 13 Jun 1997 12:55:40 -0400

lambdamoo (1.8.0p6-3) unstable; urgency=low

  * I've decided to enable OUTBOUND_NETWORK by default. If people think this
    poses too great a security risk, please let me know.
  * According to policy manual, I should remove logfiles on a purge. Do so.
  * Got rid of the startmoo program.
  * Fixed a race condition in the init script.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Jun 1997 20:37:59 -0400

lambdamoo (1.8.0p6-2) unstable; urgency=low

  * Lambdamoo no longer starts the minimal database by default. The minimal
    database is still included in the package, but only as a file in
    /usr/doc/lambdamoo/examples. I anticipate that very few people will ever
    want to use the minimal database. If there is any interest, I will
    consider splitting it out into a seperate package.
  * Added some code to the postinst to clean up minimal database files left
    behind by old versions of the package.
  * Lambdamoo no longer starts when it is installed, unless you have
    lambdacore or some other lambdamoo db already installed.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 15 May 1997 02:12:27 -0400

lambdamoo (1.8.0p6-1) unstable; urgency=low

  * New upstream release.
  * Corrected some dependancies:
  	* Only suggest tf, don't recommend it.
  	* Suggest lambdamoo-docs.
  * Fixed a problem that prevented the program from being stopped by


=== debian/control ===
Source: lambdamoo
Section: net
Priority: optional
Maintainer: Jonathan Walther <krooger@debian.org>
Standards-Version: 3.1.1.1

Package: lambdamoo
Architecture: any
Depends: ${shlibs:Depends}
Provides: lambdamoo-server
Recommends: lambdamoo-core
Suggests: tf, lambdamoo-docs
Replaces: lambdamoo
Description: a server for an online multiuser virtual world
 Lambdamoo is a server for a virtual world, a computer program which users
 can log into and explore. Each user takes control of a computerized
 persona/avatar/incarnation/character. You can walk around, chat with other
 people, solve puzzles, and even create your very own rooms, descriptions
 and items.
 .
 Advanced users can program Lambdamoo, via its built in object-oriented
 programming language.
 .
 Lambdamoo only provides the bare framework for your virtual world. A
 lambdamoo guru could theoretically start with lambdamoo and the included
 minimal core database and work their way up to a full-fledged system. The
 rest of us will want to install the lambdacore or jhcore packages which
 add objects and functionality to lambdamoo.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	./configure
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean config.cache config.log config.status config.h Makefile moo
	./configure
	-$(MAKE) -i clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	install -d debian/tmp/usr/sbin
	install -s moo debian/tmp/usr/sbin/lambdamoo
	install -d debian/tmp/etc
	install -m 644 debian/lambdamoo.conf debian/tmp/etc/lambdamoo.conf
	install -d debian/tmp/var/lib/lambdamoo
	install -d debian/tmp/etc/init.d
	install -m 0755 debian/initscript debian/tmp/etc/init.d/lambdamoo
	dh_installdocs README* AddingNewMOOTypes.txt MOOCodeSequences.txt
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installmanpages
	dh_installchangelogs ChangeLog.txt
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_fixperms
	chown daemon.daemon debian/tmp/var/lib/lambdamoo
	# This is so other's can't read the moo files to get wizard, etc.
	chmod 700 debian/tmp/var/lib/lambdamoo
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## lambdamoo 1.8.2-oops-1.8.1w2-1

=== Makefile ===
--- 
+++ 
@@ -14,13 +14,13 @@
 #   Palo Alto, CA 94304
 #   Pavel@Xerox.Com
 
-CC = gcc -Wall -Wwrite-strings 
+CC = gcc -g 
 LIBRARIES =  -lm -lcrypt
 YACC = bison -y
 
-#CFLAGS = -O
+CFLAGS = -O2 -static
 # If you're using GCC, you may prefer:
-CFLAGS = -O2 -finline-functions
+# CFLAGS = -O2 -finline-functions
 #
 # If you're not using GCC, and your compiler doesn't understand the
 # inline keyword, use the following.  (This will be fixed in autoconf2
@@ -40,6 +40,7 @@
 
 OPT_NET_SRCS = net_single.c net_multi.c \
 	net_mp_selct.c net_mp_poll.c net_mp_fake.c \
+	net_tcp.c \
 	net_bsd_tcp.c net_bsd_lcl.c net_sysv_tcp.c net_sysv_lcl.c
 
 OPT_NET_OBJS = $(OPT_NET_SRCS:.c=.o)
@@ -49,6 +50,7 @@
 YSRCS = parser.y
 
 HDRS =  ast.h bf_register.h code_gen.h db.h db_io.h db_private.h decompile.h \
+	db_tune.h \
 	disassemble.h eval_env.h eval_vm.h exceptions.h execute.h functions.h \
 	getpagesize.h keywords.h list.h log.h match.h md5.h name_lookup.h \
 	network.h net_mplex.h net_multi.h net_proto.h numbers.h opcode.h \
@@ -138,7 +140,7 @@
 	etags -t $(SRCS)
 
 clean:
-	rm -f $(OBJS) core y.tab.c y.tab.h y.output makedep eddep 
+	rm -f $(OBJS) $(OPT_NET_OBJS) core y.tab.c y.tab.h y.output makedep eddep
 
 distclean:	clean
 	rm -f config.h Makefile config.status
@@ -155,6 +157,13 @@
 
 ###############################################################################
 # $Log: Makefile.in,v $
+# Revision 1.8.10.1  2003/06/01 12:33:07  wrog
+# added net_tcp.c; (put db_tune.h in HDRS); ran makedepend
+#
+# Revision 1.8  2000/05/11 06:32:27  xythian
+# fixed bloody "suspicious line 293" emacs warning when saving Makefile.in
+# by tweaking quotes
+#
 # Revision 1.7  2000/01/11 01:54:05  nop
 # CFLAGS line for poor users without inline keyword.
 #
@@ -291,8 +300,8 @@
 # Revision 1.3  1992/07/27  18:30:21  pjames
 # Update what vector.o and vector.po depend on.
 ###############################################################################
-	
-# Have to do this one manually, since 'make depend' can't hack yacc files.
+
+# Have to do this one manually, since make depend cannot hack yacc files.
 parser.o:	my-ctype.h my-math.h my-stdlib.h my-string.h \
 		ast.h code_gen.h config.h functions.h \
 		keywords.h list.h log.h numbers.h opcode.h parser.h program.h \
@@ -329,8 +338,3 @@
 db_properties.o: db_properties.c config.h db.h program.h structures.h \
  my-stdio.h version.h db_private.h exceptions.h list.h storage.h \
  ref_count.h utils.h execute.h opcode.h options.h parse_cmd.h
-db_verbs.o: db_verbs.c my-stdlib.h config.h my-string.h db.h program.h \
- structures.h my-stdio.h version.h db_private.h exceptions.h db_tune.h \
- list.h log.h parse_cmd.h storage.h ref_count.h utils.h execute.h \
- opcode.h options.h
-decompile.o: decompile.c ast.h config.h parser.h program.h \

=== debian/changelog ===
lambdamoo (1.8.2-oops-1.8.1w2-1) unstable; urgency=low
  
  * New upstream version; wRogs branch of the CVS source includes massive
    speedups in start time, fixes OOB handling, and adds the long-awaited
    option to make the server only listen on the specified IP address.
  * Added note to README.debian about how easy it is to chroot this server,
    due to it being statically linked.
  * Added recommendation to run in a chroot jail to the man page.

 -- Jonathan Walther <krooger@debian.org>  Thu, 19 Jun 2003 11:54:13 -0700

lambdamoo (1.8.2-2) unstable; urgency=low
  
  * added Build-Depends for bison (Closes: #198057)

 -- Jonathan Walther <krooger@debian.org>  Thu, 19 Jun 2003 2:31:32 -0700

lambdamoo (1.8.2-1) unstable; urgency=low

  * Removed configuration scheme entirely; daemontools is the best way to
    manage separate and individual servers.  (Closes: #60520, #62348, #98829)
  * cron entry to rotate logs no longer included (Closes: #93289)
  * Build-Depends for debhelper added (Closes: #190449)
  
 -- Jonathan Walther <krooger@debian.org>  Thu, 19 Jun 2003 2:31:32 -0700

lambdamoo (1.8.2) unstable; urgency=low

  * New /etc/lambdamoo configuration scheme implemented
  * updated to be Debian Policy 3.5.6.1 compliant.
  
 -- Jonathan Walther <krooger@debian.org>  Sat, 22 Jun 2002 11:58:41 -0700

lambdamoo (1.8.1-2) unstable; urgency=low

  * Now creates a diff.gz and .orig.tar.gz instead of single tar.gz for
    source package
  
 -- Jonathan Walther <krooger@debian.org>  Tue, 18 Jan 2000 11:58:41 -0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Jonathan Walther <krooger@debian.org>
-Standards-Version: 3.1.1.1
+Build-Depends: bison, debhelper
+Standards-Version: 3.5.6.1
 
 Package: lambdamoo
 Architecture: any
 Depends: ${shlibs:Depends}
 Provides: lambdamoo-server
 Recommends: lambdamoo-core
-Suggests: tf, lambdamoo-docs
+Suggests: tf, lambdamoo-docs, daemontools-installer
 Replaces: lambdamoo
 Description: a server for an online multiuser virtual world
  Lambdamoo is a server for a virtual world, a computer program which users

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build: 
	dh_testdir
	./configure
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean config.cache config.log config.status config.h Makefile moo
	./configure
	-$(MAKE) -i clean

# Build architecture-independent files here.
binary-indep: 
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	install -d debian/tmp/usr/sbin
	install -s moo debian/tmp/usr/sbin/lambdamoo
	dh_installdocs README* AddingNewMOOTypes.txt MOOCodeSequences.txt
	dh_installmenu
	dh_installcron
	dh_installmanpages
	dh_installchangelogs ChangeLog.txt
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_fixperms
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
